import request from '@/utils/request'

// 查询平台协议配置列表
export function listAppPlatformAgreementConfig(query) {
  return request({
    url: '/model/AppPlatformAgreementConfig/list',
    method: 'get',
    params: query
  })
}

// 查询平台协议配置详细
export function getAppPlatformAgreementConfig(id) {
  return request({
    url: '/model/AppPlatformAgreementConfig/' + id,
    method: 'get'
  })
}

// 新增平台协议配置
export function addAppPlatformAgreementConfig(data) {
  return request({
    url: '/model/AppPlatformAgreementConfig',
    method: 'post',
    data: data
  })
}

// 修改平台协议配置
export function updateAppPlatformAgreementConfig(data) {
  return request({
    url: '/model/AppPlatformAgreementConfig',
    method: 'put',
    data: data
  })
}

// 删除平台协议配置
export function delAppPlatformAgreementConfig(id) {
  return request({
    url: '/model/AppPlatformAgreementConfig/' + id,
    method: 'delete'
  })
}
